Skip to main content
PATCH
/
v1
/
webhooks
/
{webhook_id}
Update Webhook
curl --request PATCH \
  --url https://api.oneinbox.ai/v1/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": []
}
'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "secret": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

webhook_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 1 - 255
url
string | null
events
enum<string>[] | null
Required array length: 1 - 20 elements
Available options:
call.started,
call.ended,
call.failed,
call.recording.available,
transcript.partial,
transcript.final
status
enum<string> | null
Available options:
active,
disabled

Response

Successful Response

id
string
required
name
string
required
url
string
required
events
string[]
required
secret
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required